Analyze one owned image, video or audio file before using it: shots, black/frozen parts, silence, best segments and calm text areas (id or short handle m1)
Analyze one owned image, video or audio file before using it: shots, black/frozen parts, silence, best segments and calm text areas (id or short handle m1). Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:read`.
Authorization
apiKeyAuth Path Parameters
Resource identifier
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/media/string/analysis" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "data": { "mediaId": "media-1", "handle": "m1", "name": "street.mp4", "kind": "video", "duration": 12.4, "hasAudio": false, "shots": [ { "index": 1, "start": 0, "end": 6.2, "motion": "moving", "brightness": "medium", "calmAreas": [ "top" ] }, { "index": 2, "start": 6.2, "end": 12.4, "motion": "calm", "brightness": "dark", "calmAreas": [ "top", "top-right" ] } ], "black": [ { "start": 0, "end": 0.8 } ], "bestSegments": [ { "shot": 2, "start": 6.3, "end": 12.3, "reason": "6 s clean, calm" } ], "notes": [ "0.8 s black at the start: begin later." ] }}Preflight and queue a bounded JSON or CSV batch pinned to one template version POST
Preflight and queue a bounded JSON or CSV batch pinned to one template version. Published, version-pinned projects with typed inputs for repeatable image and video generation. Required API key scopes: `templates:bulk`.
Filmstrip of the shots (video) or calm-area grid (image) of a media analysis as PNG GET
Filmstrip of the shots (video) or calm-area grid (image) of a media analysis as PNG. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:read`.